Update an agent bot
Update an agent bot's attributes
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
id*integerThe ID of the agentbot to be updated
application/json- body
name?stringThe name of the agent bot
description?stringThe description of the agent bot
outgoing_url?stringThe webhook URL for the bot
avatar?fileSend the form data with the avatar image binary or use the avatar_url
binaryavatar_url?stringThe url to a jpeg, png file for the agent bot avatar
bot_type?integerThe type of the bot (0 for webhook)
bot_config?The configuration for the bot
Success
application/json- response
id?numberID of the agent bot
name?stringThe name of the agent bot
description?stringThe description about the agent bot
thumbnail?stringThe thumbnail of the agent bot
outgoing_url?stringThe webhook URL for the bot
bot_type?stringThe type of the bot
bot_config?The configuration of the bot
account_id?numberAccount ID if it's an account specific bot
access_token?stringThe access token for the bot
system_bot?booleanWhether the bot is a system bot
curl -X PATCH 'https://helpdesk.inclamo.com/api/v1/accounts/0/agent_bots/0' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "name": "string", "description": "string", "thumbnail": "string", "outgoing_url": "string", "bot_type": "string", "bot_config": {}, "account_id": 0, "access_token": "string", "system_bot": true}